Subject: Re: [bug#43771] [PATCH 3/5] Remove the postgresql-service procedure

From: Christopher Baines <[email-masked]>
Date: Mon, 19 Oct 2020 20:01:12 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Christopher Baines <[email-masked]> skribis:
>
>> It's unnecessary, using the service type directly is a better approach. While
>> this is unfortunately a breaking change, I'm also looking at making breaking
>> changes to the service type configuration, so I don't think this can be
>> avoided.
>
> [...]
>
>> -(define* (postgresql-service #:key (postgresql postgresql)
>> -                             (port 5432)
>> -                             (locale "en_US.utf8")
>
> Here I’d suggest to keep it as ‘define-deprecated’, like we did for
> other such procedures.

Ah, yeah, I discounted that initially, as I didn't see a way to adapt it
to the new behaviour, but the deprecated procedure can just have the old
behaviour.

I'll send some updated patches with it deprecated.